Forums

Please write a review for the extension you are using on the Joomla extensions directory before posting a new question as we are being spammed by many negative reviews.

Thank you for your support!

ChronoConnectivity v5 compatibility

casals 20 Feb, 2023
Hi,

We have been using your ChronoConnectivity v5 component in Joomla 3 for a very long time and we have been very satisfied with it. We use for searching and presenting database information, e.g. in our digital sign solutions.

1) It has been running on the PHP 5.6+ platform until now, but we would now be updating the platform to PHP 7.4. So, the question is; it is compatible with PHP 7.4?

2) If we upgrade to ChronoConnectivity v6, do we have to do everything (all the "connections") again, or can we use the previous v5 data? Is there anything else we should know, if we upgrade..? :-)

3) Is there any plan for a new version for Joomla 4?
Max_admin 20 Feb, 2023
No plans to update v5 to latest versions of PHP or Joomla, there is a v6 update almost complete, but you better use v7 and rebuild the app again, you can use your existing data of course.
Max
ChronoForms developer...
Did you try ChronoMyAdmin for managing your Joomla database tables ?
casals 20 Feb, 2023
Thanks Max. How about;

1) Is ChronoConnectivity v5 compatible with PHP 7.4?

2) is ChronoConnectivity v6 compatible with ChronoConnectivity v5, or do we have to do everything (all the "connections") again?

Kare
Max_admin 23 Feb, 2023
Answer
Hi Kare,

v5 may have issues on PHP7, I did not test that, but you can test yourself and find out, maybe other users have done that already so you may also search the forums for tips.

And v5 is just too outdated to maintain now, you better rebuild the app in v7 which has a Connectivity mode.
Max
ChronoForms developer...
Did you try ChronoMyAdmin for managing your Joomla database tables ?
casals 23 Feb, 2023
Hi Max.

Thanks. We will test v5 on PHP7 and see what happens..

One last question is still open; Can we use the all v5 data on v6 or do we have to do everything (all the "connections") again? So, how easy is to migrate from v5 to v6 for now?
(we will go to v7 later).
casals 05 Mar, 2023
It seems that ChronoConnectivity v5 IS compatible with PHP 7.4 - but we get an errot from ChronoConnectivity5 Site Plugin V5.0 (08.Dec.2013);
syntax error, unexpected '=', expecting ';' /public_html/administrator/components/com_chronoconnectivity5/chronoconnectivity/helpers/lister.php(218) : runtime-created function:1

Any idea..?
casals 11 Aug, 2023
New information; The problem seems to be on (Front List) Settings PHP Functions.
doesn't like the format e.g: "Model.field:return $cell;"
You need to login to be able to post a reply.

© 2006 - 2024 ChronoEngine.com